#!/bin/bash

NAME=$(basename $(pwd))


export TI_OCL_KEEP_FILES=Y
export TI_OCL_LOAD_KERNELS_ONCHIP=Y
export TI_OCL_CACHE_KERNELS=Y
export TI_OCL_VERBOSE_ERROR=Y


## 21 x 21

export OPENCV_OPENCL_DEVICE='TI AM57:ACCELERATOR:TI Multicore C66 DSP'

echo ""
echo "======================================================================================================"
echo "First Pass (Building) - OpenCL on, Exe: $NAME"
echo "======================================================================================================"
./"$NAME" 21 21
echo ""

echo ""
echo "======================================================================================================"
echo "Second Pass (Not building) - OpenCL on, Exe: $NAME"
echo "======================================================================================================"
./"$NAME" 21 21
echo ""

export OPENCV_OPENCL_DEVICE='disabled'

echo ""
echo "======================================================================================================"
echo "OpenCL off, Exe: $NAME"
echo "======================================================================================================"
./"$NAME" 21 21
echo ""


## 640 x 480

export OPENCV_OPENCL_DEVICE='TI AM57:ACCELERATOR:TI Multicore C66 DSP'

echo ""
echo "======================================================================================================"
echo "First Pass (Building) - 640 x 480 - OpenCL on, Exe: $NAME"
echo "======================================================================================================"
./"$NAME" 640 480
echo ""

echo ""
echo "======================================================================================================"
echo "Second Pass (Not building) - 640 x 480 - OpenCL on, Exe: $NAME"
echo "======================================================================================================"
./"$NAME" 640 480
echo ""

export OPENCV_OPENCL_DEVICE='disabled'

echo ""
echo "======================================================================================================"
echo "640 x 480 - OpenCL off, Exe: $NAME"
echo "======================================================================================================"
./"$NAME" 640 480
echo ""

## 1024 x 768

export OPENCV_OPENCL_DEVICE='TI AM57:ACCELERATOR:TI Multicore C66 DSP'

echo ""
echo "======================================================================================================"
echo "First Pass (Building) - 1024 x 768 - OpenCL on, Exe: $NAME"
echo "======================================================================================================"
./"$NAME" 1024 768
echo ""

echo ""
echo "======================================================================================================"
echo "Second Pass (Not building) - 1024 x 768 - OpenCL on, Exe: $NAME"
echo "======================================================================================================"
./"$NAME" 1024 768
echo ""

export OPENCV_OPENCL_DEVICE='disabled'

echo ""
echo "======================================================================================================"
echo "1024 x 768 - OpenCL off, Exe: $NAME"
echo "======================================================================================================"
./"$NAME" 1024 768
echo ""


## 1600 x 1200

export OPENCV_OPENCL_DEVICE='TI AM57:ACCELERATOR:TI Multicore C66 DSP'

echo ""
echo "======================================================================================================"
echo "First Pass (Building) - 1600 x 1200 - OpenCL on, Exe: $NAME"
echo "======================================================================================================"
./"$NAME" 1600 1200
echo ""

echo ""
echo "======================================================================================================"
echo "Second Pass (Not building) - 1600 x 1200 - OpenCL on, Exe: $NAME"
echo "======================================================================================================"
./"$NAME" 1600 1200
echo ""

export OPENCV_OPENCL_DEVICE='disabled'

echo ""
echo "======================================================================================================"
echo "1600 x 1200 - OpenCL off, Exe: $NAME"
echo "======================================================================================================"
./"$NAME" 1600 1200
echo ""


## 800 x 600

export OPENCV_OPENCL_DEVICE='TI AM57:ACCELERATOR:TI Multicore C66 DSP'

echo ""
echo "======================================================================================================"
echo "First Pass (Building) - 800 x 600 - OpenCL on, Exe: $NAME"
echo "======================================================================================================"
./"$NAME" 800 600
echo ""

echo ""
echo "======================================================================================================"
echo "Second Pass (Not building) - 800 x 600 - OpenCL on, Exe: $NAME"
echo "======================================================================================================"
./"$NAME" 800 600
echo ""

export OPENCV_OPENCL_DEVICE='disabled'

echo ""
echo "======================================================================================================"
echo "800 x 600 - OpenCL off, Exe: $NAME"
echo "======================================================================================================"
./"$NAME" 800 600
echo ""


## 1280 x 1024

export OPENCV_OPENCL_DEVICE='TI AM57:ACCELERATOR:TI Multicore C66 DSP'

echo ""
echo "======================================================================================================"
echo "First Pass (Building) - 1280 x 1024 - OpenCL on, Exe: $NAME"
echo "======================================================================================================"
./"$NAME" 1280 1024
echo ""

echo ""
echo "======================================================================================================"
echo "Second Pass (Not building) - 1280 x 1024 - OpenCL on, Exe: $NAME"
echo "======================================================================================================"
./"$NAME" 1280 1024
echo ""

export OPENCV_OPENCL_DEVICE='disabled'

echo ""
echo "======================================================================================================"
echo "1280 x 1024 - OpenCL off, Exe: $NAME"
echo "======================================================================================================"
./"$NAME" 1280 1024
echo ""


## 1920 x 1200

export OPENCV_OPENCL_DEVICE='TI AM57:ACCELERATOR:TI Multicore C66 DSP'

echo ""
echo "======================================================================================================"
echo "First Pass (Building) - 1920 x 1200 - OpenCL on, Exe: $NAME"
echo "======================================================================================================"
./"$NAME" 1920 1200
echo ""

echo ""
echo "======================================================================================================"
echo "Second Pass (Not building) - 1920 x 1200 - OpenCL on, Exe: $NAME"
echo "======================================================================================================"
./"$NAME" 1920 1200
echo ""

export OPENCV_OPENCL_DEVICE='disabled'

echo ""
echo "======================================================================================================"
echo "1920 x 1200 - OpenCL off, Exe: $NAME"
echo "======================================================================================================"
./"$NAME" 1920 1200
echo ""


## 2592 x 2048

export OPENCV_OPENCL_DEVICE='TI AM57:ACCELERATOR:TI Multicore C66 DSP'

echo ""
echo "======================================================================================================"
echo "First Pass (Building) - 2592 x 2048 - OpenCL on, Exe: $NAME"
echo "======================================================================================================"
./"$NAME" 2592 2048
echo ""

echo ""
echo "======================================================================================================"
echo "Second Pass (Not building) - 2592 x 2048 - OpenCL on, Exe: $NAME"
echo "======================================================================================================"
./"$NAME" 2592 2048
echo ""

export OPENCV_OPENCL_DEVICE='disabled'

echo ""
echo "======================================================================================================"
echo "2592 x 2048 - OpenCL off, Exe: $NAME"
echo "======================================================================================================"
./"$NAME" 2592 2048
echo ""








